DatePickerWithYearSelector (QuantitativePropertiesVisualisation 1.1.0-2.16.1 API)
Date: 2013-09-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.visualisation.client.Date
Class DatePickerWithYearSelector

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.google.gwt.user.datepicker.client.DatePicker
                      org.visualisation.client.Date.DatePickerWithYearSelector

All Implemented Interfaces:
  com.google.gwt.editor.client.IsEditor<com.google.gwt.editor.client.LeafValueEditor<Date>>, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.logical.shared.HasHighlightHandlers<Date>, com.google.gwt.event.logical.shared.HasShowRangeHandlers<Date>, com.google.gwt.event.logical.shared.HasValueChangeHandlers<Date>, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.TakesValue<Date>, com.google.gwt.user.client.ui.HasValue<Date>, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

    public class DatePickerWithYearSelector

extends com.google.gwt.user.datepicker.client.DatePicker

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`DatePickerWithYearSelector()`

Method Summary
`void` | `refreshComponents()`

Methods inherited from class com.google.gwt.user.datepicker.client.DatePicker
`addHighlightHandler, addShowRangeHandler, addShowRangeHandlerAndFire, addStyleToDates, addStyleToDates, addStyleToDates, addTransientStyleToDates, addTransientStyleToDates, addTransientStyleToDates, addValueChangeHandler, asEditor, getCurrentMonth, getFirstDate, getHighlightedDate, getLastDate, getModel, getMonthSelector, getStyleOfDate, getValue, getView, isDateEnabled, isDateVisible, onLoad, refreshAll, removeStyleFromDates, removeStyleFromDates, removeStyleFromDates, setCurrentMonth, setStyleName, setTransientEnabledOnDates, setTransientEnabledOnDates, setTransientEnabledOnDates, setup, setValue, setValue`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, performDetachedInitialization, render, render, resolvePotentialElement, setWidget, wrapElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Constructor Detail

### DatePickerWithYearSelector

    public DatePickerWithYearSelector()

Method Detail

### refreshComponents

    public void refreshComponents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.